extends Area2D

# warning-ignore:unused_argument
func _physics_process(delta):
	var collect = false
	for obj in get_overlapping_bodies():
		if (obj.is_in_group("Player")): collect = true
	if collect: collect()

func collect():
	if not Game.player_harm:
		Game.player_harm = true
	self.queue_free()
